
Katello - Bug #4709

hammer CLI katello commands still use underscore in certain cases

03/19/2014 02:06 PM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We have moved to make word separators consistent within the CLI and still have some underscores:

1. hammer product

...

remove_sync_plan              Delete assignment sync plan and product.

set_sync_plan                 Assign sync plan to product.

1. hammer subscription

...

delete_manifest               Delete manifest from Red Hat provider

refresh_manifest              Refresh previously imported manifest for Red Hat provider

1. hammer provider

...

delete_manifest               Delete manifest from Red Hat provider

refresh_manifest              Refresh previously imported manifest for Red Hat provider

there may be more but this was the first set I could find

History

#1 - 03/24/2014 04:34 AM - Mike McCune

- Triaged set to Yes

#2 - 04/01/2014 06:46 PM - Adam Price

- Status changed from New to Ready For Testing

#3 - 04/01/2014 06:53 PM - David Davis

- Assignee changed from David Davis to Adam Price

#4 - 04/01/2014 06:57 PM - Adam Price

- Status changed from Ready For Testing to Closed

#5 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
